summaryrefslogtreecommitdiffstats
path: root/development/medit
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:05:51 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:05:51 +0200
commitb89ae35eed6772c60980871e0a9ef1195c369403 (patch)
treefbf77773c5457bc14d1480b05d848b213c8e6e5c /development/medit
parent4a5a6fa95bb110bf9c8d672536d9ea9a402bfa33 (diff)
downloadslackbuilds-b89ae35eed6772c60980871e0a9ef1195c369403.tar.gz
slackbuilds-b89ae35eed6772c60980871e0a9ef1195c369403.tar.xz
development/medit: Initial import
Diffstat (limited to 'development/medit')
-rw-r--r--development/medit/README25
-rw-r--r--development/medit/doinst.sh3
-rw-r--r--development/medit/medit.SlackBuild56
-rw-r--r--development/medit/medit.info8
-rw-r--r--development/medit/slack-desc11
5 files changed, 103 insertions, 0 deletions
diff --git a/development/medit/README b/development/medit/README
new file mode 100644
index 0000000000..2b3325e52c
--- /dev/null
+++ b/development/medit/README
@@ -0,0 +1,25 @@
+medit the text editor
+
+Started originally as a simple built-in editor component in GGAP, it grew up
+to a real text editor.
+
+The intention now is to make it a useful programming and around-programming
+text editor.
+
+Features
+ * Configurable syntax highlighting.
+ * Configurable keyboard accelerators.
+ * Multiplatform - works both on unix and windows.
+ * Plugins: can be written in C or Python.
+ * Configurable tools available from the main and context menus. They can
+ be written in Python, or it can be a shell script, or in MooScript -
+ simple builtin scripting lanugage.
+ * Regular expression search/replace, grep and find frontends, builtin file
+ selector and whatnot.
+
+Required/Optional deps: PyGTK and Gamin, both available at slackbuilds.org
+ - Both PyGTK and Gamin add very useful functionality to medit, it is
+ recommended that you install them.
+ - PyGTK is auto-detected, Gamin is not. If you do not wish to have Gamin
+ support then remove the '--with-fam' line from the medit.SlackBuild
+ before building.
diff --git a/development/medit/doinst.sh b/development/medit/doinst.sh
new file mode 100644
index 0000000000..85aad974d0
--- /dev/null
+++ b/development/medit/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database &> /dev/null
+fi
diff --git a/development/medit/medit.SlackBuild b/development/medit/medit.SlackBuild
new file mode 100644
index 0000000000..e23ee487e0
--- /dev/null
+++ b/development/medit/medit.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for medit
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+PRGNAM=medit
+VERSION=0.8.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-fam \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Fix .desktop, remove stray directories
+sed -i 's|Icon=medit.png|Icon=/usr/share/pixmaps/medit.png|' \
+ $PKG/usr/share/applications/medit.desktop || exit 1
+rm -rf $PKG/usr/include $PKG/usr/lib/python2.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING COPYING.lib INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/medit/medit.info b/development/medit/medit.info
new file mode 100644
index 0000000000..698a439005
--- /dev/null
+++ b/development/medit/medit.info
@@ -0,0 +1,8 @@
+PRGNAM="medit"
+VERSION="0.8.5"
+HOMEPAGE="http://mooedit.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/mooedit/medit-0.8.5.tar.bz2"
+MD5SUM="b4f5d4f1b7b1d872ccf664f0559be101"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/development/medit/slack-desc b/development/medit/slack-desc
new file mode 100644
index 0000000000..5bd61aeb48
--- /dev/null
+++ b/development/medit/slack-desc
@@ -0,0 +1,11 @@
+medit: medit - Multiplatform GTK text editor.
+medit:
+medit: It features: Configurable syntax highlighting, keyboard accelerators,
+medit: and tools available from the main and context menus that can be written
+medit: in Python, MooScript (simple builtin scripting lanugage) or shell
+medit: script. Plugins can be written in C or Python. Incremental search,
+medit: regular expression search/replace, grep and find frontends, builtin
+medit: file selector and whatnot.
+medit:
+medit: http://mooedit.sourceforge.net/
+medit: